@echo off
if exist cfg\biomtoy.cfg move cfg\biomtoy.cfg cfg\biomtoy.bak
if exist hi\biomtoy.hi move hi\biomtoy.hi hi\biomtoy.bak
if exist nvram\biomtoy.nv move nvram\biomtoy.nv nvram\biomtoy.bak
if exist diff\biomtoy.dif move diff\biomtoy.dif diff\biomtoy.bak

mame biomtoy -record biomtoy.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\biomtoy.bak move cfg\biomtoy.bak cfg\biomtoy.cfg
if exist hi\biomtoy.bak move hi\biomtoy.bak hi\biomtoy.hi
if exist nvram\biomtoy.bak move nvram\biomtoy.bak nvram\biomtoy.nv
if exist diff\biomtoy.bak move diff\biomtoy.bak diff\biomtoy.dif
